跳到内容
Esc
↑↓导航↵打开⌘J预览

Update contact topics

PATCH/contacts/{id}/topics
授权
AuthorizationBearer 令牌 · header必填

A BillionSend API key (bs_…).

路径参数
idstring必填
最小长度 1
请求体
必填application/json
object 数组
idstring<uuid>必填
subscriptionstring必填
允许值:opt_inopt_out
响应
200

Contact topic subscriptions updated

idstring<uuid>必填
401

Missing, malformed, unknown or revoked API key

statusCodenumber必填
namestring必填
messagestring必填
404

Not found

statusCodenumber必填
namestring必填
messagestring必填
422

Validation error

statusCodenumber必填
namestring必填
messagestring必填
429

Over the rate limit (rate_limit_exceeded, with Retry-After)

statusCodenumber必填
namestring必填
messagestring必填
试一试
服务器
授权
参数
请求体application/json
请求
curl -X PATCH 'https://api.billionsend.com/contacts/string/topics' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '[
  {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "subscription": "opt_in"
  }
]'
响应
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
}

这个页面有帮助吗?